Fail to run rasa x in local mode

I can’t run rasa x in local mode always i have the some error

@Fares Try and please share rasa version rasa --version

pip install SQLAlchemy==1.3.22

Rasa Version : 2.8.2 Minimum Compatible Version: 2.8.0 Rasa SDK Version : 2.8.1 Rasa X Version : 0.39.3 Python Version : 3.7.9 Operating System : Windows-10-10.0.19041-SP0 Python Path : c:\users\fares\appdata\local\programs\python\python37\python.exe

@Fares Change rasa to rasa==2.8.1 and try install above suggestion. I hope this will solve your issue.

Now the error has changed

Starting Rasa X in local mode… :rocket: Traceback (most recent call last): File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors
yield File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions
requested_lowers = self.get_revisions(lower) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id
], ()) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id
], ()) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 324, in get_revisions for rev_id in resolved_id File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 324, in for rev_id in resolved_id File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 397, in _revision_for_ident
resolved_id, alembic.script.revision.ResolutionError: No such revision or branch ‘ecab431f3c6e’

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\rasa\cli\x.py”, line 502, in run_locally domain_path=domain_path, File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\rasax\community\local.py”, line 234, in main sql_migrations.run_migrations(session) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations
_run_schema_migrations(session) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 728, in exec_module File “”, line 219, in _call_with_frames_removed File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 96, in run_migrations_online() File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\runtime\environment.py”, line 846, in run_migrations
self.get_context().run_migrations(**kw) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\runtime\migration.py”, line 511, in run_migrations
for step in self._migrations_fn(heads, self): File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\command.py”, line 287, in upgrade return script._upgrade_revs(revision, rev) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\base.py”, line 369, in _upgrade_revs for script in reversed(list(revs)) File “c:\users\fares\appdata\local\programs\python\python37\lib\contextlib.py”, line 130, in exit self.gen.throw(type, value, traceback) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\base.py”, line 194, in _catch_revision_errors
compat.raise_from_cause(util.CommandError(resolution)) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\util\compat.py”, line 308, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=exc_value) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\util\compat.py”, line 301, in reraise raise value.with_traceback(tb) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors
yield File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions
requested_lowers = self.get_revisions(lower) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id
], ()) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id
], ()) File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 324, in get_revisions for rev_id in resolved_id File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 324, in for rev_id in resolved_id File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\revision.py”, line 397, in _revision_for_ident
resolved_id, alembic.util.exc.CommandError: Can’t locate revision identified by ‘ecab431f3c6e’

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@Fares rasa version? please mention me with @ and nik202 next time

@Fares Install pip install rasa-sdk==2.8.1

@Fares Install pip intall rasa==2.8.1

Check no error should come, or any dependencies error and then install

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

Clt+Shift+P for python interpreter and always activate your condo environment

Delete both .db database so that, it will create again or mount it back.

1 Like

3

what about python version?

it still the some error the error in this file File “c:\users\fares\appdata\local\programs\python\python37\lib\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors
yield